/**
 * 
 * This class is part of the Preclipse Tutorial 
 * 
 * http://www.preclipse.de/
 * 
 * This program and the accompanying materials are made
 * available under the terms of the General Public License 
 * which accompanies this distribution.
 * 
 */
package de.preclipse.DVDStorage;
import org.prevayler.Prevayler;
import org.prevayler.PrevaylerFactory;
import de.preclipse.DVDStorage.bo.DVDStorage;

/**
 * 
 * @author Preclipse Team
 * 
 */
public class Main {
	/**
	 * 
	 */
	public Main() {
		super();
	}
	/**
	 * @param ignored
	 * @throws Exception
	 */
	public static void main(String[] ignored) throws Exception {
		final Prevayler prevayler = PrevaylerFactory.createPrevayler(
				new DVDStorage(), "data");
		
		new GUIControl(prevayler);
	}
	
}