/**
 * 
 * This class is part of the Preclipse Tutorial 
 * 
 * http://www.preclipse.de/
 * 
 * This program and the accompanying materials are made
 * available under the terms of the General Public License 
 * which accompanies this distribution.
 * 
 */
package de.preclipse.DVDStorage.bo;
import java.io.Serializable;

/**
 * 
 * @author Preclipse Team
 * 
 */
public class DVD implements Serializable {
	
	private long id;
	
	private String name;
	private int year;
	
	private int len; 
	
	private String imdb; 
	private String comment;
	
	/**
	 * @param id
	 */
	public DVD(long id) {
		this.id = id;
	}
	/**
	 * @return Returns the id.
	 */
	public long getID() {
		return this.id;
	}
	/**
	 * @param id The id to set.
	 */
	public void setID(long id) {
		this.id = id;
	}
	/**
	 * @return Returns the comment.
	 */
	public String getComment() {
		return comment;
	}
	/**
	 * @param comment The comment to set.
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	/**
	 * @return Returns the imdb.
	 */
	public String getImdb() {
		return imdb;
	}
	/**
	 * @param imdb The imdb to set.
	 */
	public void setImdb(String imdb) {
		this.imdb = imdb;
	}
	/**
	 * @return Returns the len.
	 */
	public int getLen() {
		return len;
	}
	/**
	 * @param len The len to set.
	 */
	public void setLen(int len) {
		this.len = len;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return Returns the year.
	 */
	public int getYear() {
		return year;
	}
	/**
	 * @param year The year to set.
	 */
	public void setYear(int year) {
		this.year = year;
	}
}