/**
 * 
 * This class is part of the Preclipse Tutorial 
 * 
 * http://www.preclipse.de/
 * 
 * This program and the accompanying materials are made
 * available under the terms of the General Public License 
 * which accompanies this distribution.
 * 
 */
package de.preclipse.DVDStorage.transaction;
import java.util.Date;
import org.prevayler.Transaction;
import de.preclipse.DVDStorage.bo.DVDStorage;

/**
 * 
 * @author Preclipse Team
 * 
 */
public class DVDDeleteTransaction implements Transaction {
	private final long id;
	/**
	 * @param id
	 */
	public DVDDeleteTransaction(long id) {
		this.id = id;
	}
	/**
	 * @param prevalentSystem
	 * @param executionTime
	 * @return
	 */
	public void executeOn(Object prevalentSystem, Date executionTime) {
		
		((DVDStorage)prevalentSystem).removeDVD(id);
	}
}